Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.ant.input
Class XInputRequest

    java.lang.Object
      org.apache.tools.ant.input.InputRequest
          edu.internet2.middleware.ant.input.XInputRequest

    public class XInputRequest

extends org.apache.tools.ant.input.InputRequest

Extended version of `org.apache.tools.ant.input.InputRequest`

Constructor Summary
`XInputRequest(String prompt)`

Method Summary
`String` | `getInput()` Retrieves the user input.
`String` | `getPrompt()` Retrieves the prompt text.
`boolean` | `isInputValid()` Is the user input valid?
`void` | `setInput(String input)` Sets the user provided input.

Methods inherited from class org.apache.tools.ant.input.InputRequest
`getDefaultValue, setDefaultValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XInputRequest

    public XInputRequest(String prompt)

Parameters:
  `prompt` - The prompt to show to the user. Must not be null.

Method Detail

### getPrompt

    public String getPrompt()

  Retrieves the prompt text.

  Overrides:
    `getPrompt` in class `org.apache.tools.ant.input.InputRequest`

### setInput

    public void setInput(String input)

  Sets the user provided input.

  Overrides:
    `setInput` in class `org.apache.tools.ant.input.InputRequest`

### isInputValid

    public boolean isInputValid()

  Is the user input valid?

  Overrides:
    `isInputValid` in class `org.apache.tools.ant.input.InputRequest`

### getInput

    public String getInput()

  Retrieves the user input.

  Overrides:
    `getInput` in class `org.apache.tools.ant.input.InputRequest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.